
_CPU_Init:

;electronique_indic_couleur_002_16f88.mpas,10 :: 		begin
;electronique_indic_couleur_002_16f88.mpas,11 :: 		TRISA := $FF;
	MOVLW      255
	MOVWF      TRISA+0
;electronique_indic_couleur_002_16f88.mpas,12 :: 		TRISB := $00;
	CLRF       TRISB+0
;electronique_indic_couleur_002_16f88.mpas,13 :: 		PORTB := $00;
	CLRF       PORTB+0
;electronique_indic_couleur_002_16f88.mpas,14 :: 		OPTION_REG := $00;
	CLRF       OPTION_REG+0
;electronique_indic_couleur_002_16f88.mpas,15 :: 		OPTION_REG.NOT_RBPU := 1;
	BSF        OPTION_REG+0, 7
;electronique_indic_couleur_002_16f88.mpas,16 :: 		INTCON := $00;
	CLRF       INTCON+0
;electronique_indic_couleur_002_16f88.mpas,17 :: 		T1CON := $00;
	CLRF       T1CON+0
;electronique_indic_couleur_002_16f88.mpas,18 :: 		ANSEL := $00;
	CLRF       ANSEL+0
;electronique_indic_couleur_002_16f88.mpas,19 :: 		ANSEL.ANS0 := 1;  // Thrs1
	BSF        ANSEL+0, 0
;electronique_indic_couleur_002_16f88.mpas,20 :: 		ANSEL.ANS1 := 1;  // Thrs2
	BSF        ANSEL+0, 1
;electronique_indic_couleur_002_16f88.mpas,21 :: 		ANSEL.ANS2 := 1;  // ext Vref-
	BSF        ANSEL+0, 2
;electronique_indic_couleur_002_16f88.mpas,22 :: 		ANSEL.ANS3 := 1;  // ext Vref+
	BSF        ANSEL+0, 3
;electronique_indic_couleur_002_16f88.mpas,23 :: 		ANSEL.ANS4 := 1;  // NTC
	BSF        ANSEL+0, 4
;electronique_indic_couleur_002_16f88.mpas,24 :: 		ADCON0 := $00;
	CLRF       ADCON0+0
;electronique_indic_couleur_002_16f88.mpas,25 :: 		ADCON0.ADON := 1;
	BSF        ADCON0+0, 0
;electronique_indic_couleur_002_16f88.mpas,26 :: 		ADCON1 := $00;
	CLRF       ADCON1+0
;electronique_indic_couleur_002_16f88.mpas,27 :: 		ADCON1.ADFM := 1;
	BSF        ADCON1+0, 7
;electronique_indic_couleur_002_16f88.mpas,28 :: 		ADCON1.VCFG1 := 1;  // Vref+ = vref on RA3/AN3
	BSF        ADCON1+0, 5
;electronique_indic_couleur_002_16f88.mpas,29 :: 		ADCON1.VCFG0 := 1;  // Vref- = vref on RA2/AN2
	BSF        ADCON1+0, 4
;electronique_indic_couleur_002_16f88.mpas,31 :: 		OSCCON.IRCF2 := 0;  // 500 kHz
	BCF        OSCCON+0, 6
;electronique_indic_couleur_002_16f88.mpas,32 :: 		OSCCON.IRCF1 := 1;
	BSF        OSCCON+0, 5
;electronique_indic_couleur_002_16f88.mpas,33 :: 		OSCCON.IRCF0 := 1;
	BSF        OSCCON+0, 4
;electronique_indic_couleur_002_16f88.mpas,34 :: 		ADC_Init;
	CALL       _ADC_Init+0
;electronique_indic_couleur_002_16f88.mpas,35 :: 		delay_ms(100);
	MOVLW      17
	MOVWF      R12+0
	MOVLW      58
	MOVWF      R13+0
L__CPU_Init1:
	DECFSZ     R13+0, 1
	GOTO       L__CPU_Init1
	DECFSZ     R12+0, 1
	GOTO       L__CPU_Init1
	NOP
;electronique_indic_couleur_002_16f88.mpas,36 :: 		end;
L_end_CPU_Init:
	RETURN
; end of _CPU_Init

_main:

;electronique_indic_couleur_002_16f88.mpas,38 :: 		begin
;electronique_indic_couleur_002_16f88.mpas,39 :: 		CPU_Init;
	CALL       _CPU_Init+0
;electronique_indic_couleur_002_16f88.mpas,40 :: 		while true do
L__main4:
;electronique_indic_couleur_002_16f88.mpas,42 :: 		iAdcThrs1 := ADC_Get_Sample(0);
	CLRF       FARG_ADC_Get_Sample_channel+0
	CALL       _ADC_Get_Sample+0
	MOVF       R0+0, 0
	MOVWF      _iAdcThrs1+0
	MOVF       R0+1, 0
	MOVWF      _iAdcThrs1+1
;electronique_indic_couleur_002_16f88.mpas,43 :: 		iAdcThrs2 := ADC_Get_Sample(1);
	MOVLW      1
	MOVWF      FARG_ADC_Get_Sample_channel+0
	CALL       _ADC_Get_Sample+0
	MOVF       R0+0, 0
	MOVWF      _iAdcThrs2+0
	MOVF       R0+1, 0
	MOVWF      _iAdcThrs2+1
;electronique_indic_couleur_002_16f88.mpas,44 :: 		iAdcNTC := ADC_Get_Sample(4);
	MOVLW      4
	MOVWF      FARG_ADC_Get_Sample_channel+0
	CALL       _ADC_Get_Sample+0
	MOVF       R0+0, 0
	MOVWF      _iAdcNTC+0
	MOVF       R0+1, 0
	MOVWF      _iAdcNTC+1
;electronique_indic_couleur_002_16f88.mpas,45 :: 		Out_Led_B := (iAdcNTC <= iAdcThrs1);
	MOVF       R0+1, 0
	SUBWF      _iAdcThrs1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main10
	MOVF       R0+0, 0
	SUBWF      _iAdcThrs1+0, 0
L__main10:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R2+0
	BTFSC      R2+0, 0
	GOTO       L__main11
	BCF        RB2_bit+0, BitPos(RB2_bit+0)
	GOTO       L__main12
L__main11:
	BSF        RB2_bit+0, BitPos(RB2_bit+0)
L__main12:
;electronique_indic_couleur_002_16f88.mpas,46 :: 		Out_Led_G := ((iAdcNTC >= iAdcThrs1) and (iAdcNTC <= iAdcThrs2));
	MOVF       _iAdcThrs1+1, 0
	SUBWF      R0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main13
	MOVF       _iAdcThrs1+0, 0
	SUBWF      R0+0, 0
L__main13:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R3+0
	MOVF       R0+1, 0
	SUBWF      _iAdcThrs2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main14
	MOVF       R0+0, 0
	SUBWF      _iAdcThrs2+0, 0
L__main14:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R2+0
	MOVF       R3+0, 0
	ANDWF      R2+0, 1
	BTFSC      R2+0, 0
	GOTO       L__main15
	BCF        RB1_bit+0, BitPos(RB1_bit+0)
	GOTO       L__main16
L__main15:
	BSF        RB1_bit+0, BitPos(RB1_bit+0)
L__main16:
;electronique_indic_couleur_002_16f88.mpas,47 :: 		Out_Led_R := (iAdcNTC >= iAdcThrs2);
	MOVF       _iAdcThrs2+1, 0
	SUBWF      R0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main17
	MOVF       _iAdcThrs2+0, 0
	SUBWF      R0+0, 0
L__main17:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R2+0
	BTFSC      R2+0, 0
	GOTO       L__main18
	BCF        RB0_bit+0, BitPos(RB0_bit+0)
	GOTO       L__main19
L__main18:
	BSF        RB0_bit+0, BitPos(RB0_bit+0)
L__main19:
;electronique_indic_couleur_002_16f88.mpas,48 :: 		end;
	GOTO       L__main4
;electronique_indic_couleur_002_16f88.mpas,49 :: 		end.
L_end_main:
	GOTO       $+0
; end of _main
